Package org.apache.sling.installer.api.info

# Interface ResourceGroup

@ProviderType public interface ResourceGroup
This is a group of resources all pointing to the same artifact, but maybe in different versions or locations.

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlias()`
Get the current alias for this group.
`List<Resource>`
`getResources()`
Get all resources for this group.

## Method Details

### getResources

List<Resource> getResources()
Get all resources for this group.

Returns:
  The list of resources.

### getAlias

String getAlias()
Get the current alias for this group.

Returns:
  The alias or `null`